{% extends 'base.html' %}

{% block title %} List of departments {% endblock %}

{% block header %}
<li><a href="{{url_for('home.index')}}">Home</a></li><!--
--><li><a id="now" href="{{url_for('list_departments.ls_dep')}}">List of departments</a></li><!--
--><li><a href="{{url_for('list_employees.ls_emp')}}">List of employees</a></li><!--
--><li><a href="{{url_for('search.search')}}">&#128269;</a></li>
{% endblock %}

{% block section %}
<form action="{{url_for('list_departments.new_dep')}}" class="form-dob" method="post">
    <label for="new-dep">Add new <b>Department</b>:</label>
	<input type="text" name="new-dep" id="new-dep" pattern="^[A-Za-zА-Яа-яЁё\s]+$" required="">
	<input type="submit" class="" name="">
</form>

{% with messages = get_flashed_messages() %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert alert-success alert-dismissable" role="alert">

                <button type="button" class="close" data-dismiss="alert" aria-label="close">
                    <span aria-hidden="true">x</span>
                </button>

                <h4 class="message-flash"><b>{{ message }}</b></h4>
            </div>

        {% endfor %}
    {% endif %}
{% endwith %}

<table>

    <tr>
        <th>Department</th>
		<th>Average  Salary</th>
        <th>Action</th>
    </tr>
    {% for dep_salary in average_salary %}
    <tr>
        <td>{{ dep_salary[0] }}</td>
		<td>{{ dep_salary[1] }}</td>

        <td class="edit">
            <a href="" class="btn btn-warning btn-xs" data-toggle="modal" data-target="#modaledit{{ dep_salary[0].id }}">EDIT</a>
            <a href="/del-dep/{{ dep_salary[0].id }}" class="btn btn-danger btn-xs"
               onclick="return confirm('Are you sure to delete this department?')">DELETE</a>
        </td>
    {% endfor %}
    </tr>
</table>

{% for dep_salary in average_salary %}
<div id="modaledit{{ dep_salary[0].id }}" class="modal fade" role="dialog">
   <div class="modal-dialog">
      <div class="modal-content">

         <div class="modal-header">
            <h4 class="modal-title">Edit <b>Department</b></h4>
         </div>

         <div class="modal-body">
            <form action="{{url_for('list_departments.edit_dep')}}" method="POST">

                <div class="form-group">
                  <label for="dep-name-edit">Department name:</label>
                    <input type="hidden" name="id" value="{{ dep_salary[0].id }}">
                  <input type="text" id="dep-name-edit" class="form-control" name="dep-name-edit"
                          required="" pattern="^[A-Za-zА-Яа-яЁё\s]+$" value="{{ dep_salary[0].department }}">
               </div>

               <div class="form-group">

                  <button class="btn btn-primary" type="submit">Update</button>
               </div>
            </form>
         </div>

         <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
         </div>

      </div>
   </div>
</div>
{% endfor %}

{% endblock %}
